# SOMSpec
SOMSpec is a utility for predicting protein secondary structure from electronic spectra (currently CD and IR). In the future we plan to also implement prediction of spectra given a protein structure.

### Table of contents
* [Features](#features)
* [Usage](#usage)
* [Download](#download)
* [ToDo](#todo)
* [Donations](#donations)
* [About](#about)

## Features
* Fast and flexible learning.
* Automatic support for Linux and Windows.

## Citation
* Please cite doi://xxx

## Usage
* Tested on Matlab 2016a as this is my current version. Very little specific Matlab components are used so probably works fine on older versions.
* The base implementation should also run in GNU Octave but hasn't been recently tested.

## Download
* SOMSpec source code can be downloaded from somspec.org
* SOMSpec is licensed under GPL3.

## ToDo
* Automate the validation output to be more flexible in the number of properties predicted
* Add further post processing support for the validation results

## Donations
Please donate if you find this software useful:

* Aeon: `Wmsz3CbPdVk1aYdyMd7jJt8J3a9qjDQj54NjNd6fyW8ZAjwLkWPnDSr9vVcLcadLbS9PmiUqAkmiiLV8WUGLEvUB2dXpYjFVz`
* BTC: `1ERF4HUExb4KMcqu7g2TPkyyF1RPUuv2xw`
* XMR: `47cYhrULcp6i84FDjGd2tyLafUVc2kB2Ah8UEEmKJ1qd2U56PiqGJqg4bgFT8yMu1cje9Tzf8bvJn9PkrPAWmkDFM7KcWeK`

## About
* Developed by Dale L. Ang. Website: daleang.org or somspec.org
